=== debian/changelog ===
ros-iron-rcss3d-agent-basic (0.4.1-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Thu, 30 Jun 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.4.0-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Wed, 29 Jun 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.3.1-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Mon, 27 Jun 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.3.0-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Tue, 14 Jun 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.0.7-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Sat, 23 Apr 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.0.6-3jammy) jammy; urgency=high

  * add synchronize subscription
  * remove leading slash from topic name
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Thu, 03 Feb 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.0.5-3jammy) jammy; urgency=high

  * comunicate that the node has to be restarted
  * define perceptPub so rcss3dAgent is destroyed before perceptPub
  * add a model parameter so differnet types of robots can be loaded
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Wed, 02 Feb 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.0.4-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Fri, 28 Jan 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.0.3-3jammy) jammy; urgency=high

  * refactor rcss3d_agent_node to rcss3d_agent_basic, and make it a component that can be run as a standalone executable
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Thu, 27 Jan 2022 16:00:00 -0000
