=== debian/control ===
Source: ros-iron-rcss3d-agent-basic
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp-components, ros-iron-rcss3d-agent, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rcss3d-agent-basic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rclcpp-components, ros-iron-rcss3d-agent, ros-iron-ros-workspace
Description: Basic rcss3d agent node that uses rcss3d_agent_msgs
